ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package variant
  Definition Classes
    ds
- ADAMVCFOutputFormat
- DatasetBoundGenotypeDataset
- DatasetBoundVariantContextDataset
- DatasetBoundVariantDataset
- GenotypeDataset
- ParquetUnboundGenotypeDataset
- ParquetUnboundVariantDataset
- RDDBoundGenotypeDataset
- RDDBoundVariantContextDataset
- RDDBoundVariantDataset
- VCFInFormatter
- VCFOutFormatter
- VariantContextDataset
- VariantDataset

c

org.bdgenomics.adam.ds.variant

# ParquetUnboundGenotypeDataset 

###

#### case class ParquetUnboundGenotypeDataset extends GenotypeDataset with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, GenotypeDataset, VCFSupportingGenomicDataset[Genotype, Genotype, GenotypeDataset], MultisampleAvroGenomicDataset[Genotype, Genotype, GenotypeDataset], MultisampleGenomicDataset[Genotype, Genotype, GenotypeDataset], AvroGenomicDataset[Genotype, Genotype, GenotypeDataset], GenomicDataset[Genotype, Genotype, GenotypeDataset], Logging, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ParquetUnboundGenotypeDataset
2. Serializable
3. Serializable
4. Product
5. Equals
6. GenotypeDataset
7. VCFSupportingGenomicDataset
8. MultisampleAvroGenomicDataset
9. MultisampleGenomicDataset
10. AvroGenomicDataset
11. GenomicDataset
12. Logging
13. AnyRef
14. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addAllAlleleArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

   Adds a VCF header line describing an 'R' array format field.

   Adds a VCF header line describing an 'R' array format field.

   This adds a format field that is an array whose length is equal to the total number of alleles (including the reference allele) for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this format field.

   lineType

     The type of the data stored in this format field.

   returns

     A new genomic dataset with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset
5.  def addAllAlleleArrayInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

   Adds a VCF header line describing an 'R' array info field.

   Adds a VCF header line describing an 'R' array info field.

   This adds a info field that is an array whose length is equal to the total number of alleles (including the reference allele) for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this info field.

   lineType

     The type of the data stored in this info field.

   returns

     A new genomic dataset with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset
6.  def addAlternateAlleleArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

   Adds a VCF header line describing an 'A' array format field.

   Adds a VCF header line describing an 'A' array format field.

   This adds a format field that is an array whose length is equal to the number of alternate alleles for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this format field.

   lineType

     The type of the data stored in this format field.

   returns

     A new genomic dataset with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset
7.  def addAlternateAlleleArrayInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

   Adds a VCF header line describing an 'A' array info field.

   Adds a VCF header line describing an 'A' array info field.

   This adds a info field that is an array whose length is equal to the number of alternate alleles for the genotype we are annotating.

   id

     The identifier for the field.

   description

     A description of the data stored in this info field.

   lineType

     The type of the data stored in this info field.

   returns

     A new genomic dataset with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset
8.  def addFilterHeaderLine(id: String, description: String): GenotypeDataset

   Adds a VCF header line describing a variant/genotype filter.

   Adds a VCF header line describing a variant/genotype filter.

   id

     The identifier for the filter.

   description

     A description of the filter.

   returns

     A new genomic dataset with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset
9.  def addFixedArrayFormatHeaderLine(id: String, count: Integer, lineType: VCFHeaderLineType, description: String): GenotypeDataset

   (Java-specific) Adds a VCF header line describing an array format field, with fixed count.

   (Java-specific) Adds a VCF header line describing an array format field, with fixed count.

   id

     The identifier for the field.

   count

     The number of elements in the array.

   lineType

     The type of the data stored in this format field.

   description

     A description of the data stored in this format field.

   returns

     A new genomic dataset with the new header line added.

   Definition Classes
     VCFSupportingGenomicDataset
10.  def addFixedArrayFormatHeaderLine(id: String, count: Int, description: String, lineType: VCFHeaderLineType): GenotypeDataset

    (Scala-specific) Adds a VCF header line describing an array format field, with fixed count.

    (Scala-specific) Adds a VCF header line describing an array format field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
11.  def addFixedArrayInfoHeaderLine(id: String, count: Integer, lineType: VCFHeaderLineType, description: String): GenotypeDataset

    (Java-specific) Adds a VCF header line describing an array info field, with fixed count.

    (Java-specific) Adds a VCF header line describing an array info field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    lineType

      The type of the data stored in this info field.

    description

      A description of the data stored in this info field.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
12.  def addFixedArrayInfoHeaderLine(id: String, count: Int, description: String, lineType: VCFHeaderLineType): GenotypeDataset

    (Scala-specific) Adds a VCF header line describing an array info field, with fixed count.

    (Scala-specific) Adds a VCF header line describing an array info field, with fixed count.

    id

      The identifier for the field.

    count

      The number of elements in the array.

    description

      A description of the data stored in this info field.

    lineType

      The type of the data stored in this info field.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
13.  def addGenotypeArrayFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

    Adds a VCF header line describing an 'G' array format field.

    Adds a VCF header line describing an 'G' array format field.

    This adds a format field that is an array whose length is equal to the number of genotypes for the genotype we are annotating.

    id

      The identifier for the field.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
14.  def addHeaderLine(headerLineToAdd: VCFHeaderLine): GenotypeDataset

    Appends a new header line to the existing lines.

    Appends a new header line to the existing lines.

    headerLineToAdd

      A header line to add.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
15.  def addHeaderLines(headerLinesToAdd: Seq[VCFHeaderLine]): GenotypeDataset

    Appends new header lines to the existing lines.

    Appends new header lines to the existing lines.

    headerLinesToAdd

      Zero or more header lines to add.

    returns

      A new genomic dataset with the new header lines added.

    Definition Classes
      VCFSupportingGenomicDataset
16.  def addReference(referenceToAdd: SequenceRecord): GenotypeDataset

    Appends metadata for a single reference sequence to the current genomic dataset.

    Appends metadata for a single reference sequence to the current genomic dataset.

    referenceToAdd

      The reference sequence to add.

    returns

      Returns a new GenomicDataset with this reference sequence appended.

    Definition Classes
      GenomicDataset
17.  def addReferences(referencesToAdd: SequenceDictionary): GenotypeDataset

    Appends reference sequence metadata to the current genomic dataset.

    Appends reference sequence metadata to the current genomic dataset.

    referencesToAdd

      The new reference sequences to append.

    returns

      Returns a new GenomicDataset with the reference sequences appended.

    Definition Classes
      GenomicDataset
18.  def addSample(sampleToAdd: Sample): GenotypeDataset

    Adds a single sample to the current genomic dataset.

    Adds a single sample to the current genomic dataset.

    sampleToAdd

      A single sample to add.

    returns

      Returns a new genomic dataset with this sample added.

    Definition Classes
      MultisampleGenomicDataset
19.  def addSamples(samplesToAdd: Iterable[Sample]): GenotypeDataset

    Adds samples to the current genomic dataset.

    Adds samples to the current genomic dataset.

    samplesToAdd

      Zero or more samples to add.

    returns

      Returns a new genomic dataset with samples added.

    Definition Classes
      MultisampleGenomicDataset
20.  def addScalarFormatHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

    Adds a VCF header line describing a scalar format field.

    Adds a VCF header line describing a scalar format field.

    id

      The identifier for the field.

    description

      A description of the data stored in this format field.

    lineType

      The type of the data stored in this format field.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
21.  def addScalarInfoHeaderLine(id: String, description: String, lineType: VCFHeaderLineType): GenotypeDataset

    Adds a VCF header line describing a scalar info field.

    Adds a VCF header line describing a scalar info field.

    id

      The identifier for the field.

    description

      A description of the data stored in this info field.

    lineType

      The type of the data stored in this info field.

    returns

      A new genomic dataset with the new header line added.

    Definition Classes
      VCFSupportingGenomicDataset
22.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
23.  def broadcast()(implicit tTag: ClassTag[Genotype]): GenomicBroadcast[Genotype, Genotype, GenotypeDataset]
    Definition Classes
      GenomicDataset
24.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

25.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

26.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
27.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
28.  def broadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Y, Genotype)]): GenericGenomicDataset[(X, Genotype), (Y, Genotype)]

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

29.  def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Genotype)]): GenericGenomicDataset[(Iterable[X], Genotype), (Seq[Y], Genotype)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

30.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

31.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

32.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

33.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

34.  def buildTree(rdd: RDD[(ReferenceRegion, Genotype)])(implicit tTag: ClassTag[Genotype]): IntervalArray[ReferenceRegion, Genotype]
    Attributes
      protected
    Definition Classes
      GenotypeDataset → GenomicDataset
35.  def cache(): GenotypeDataset

    Caches underlying RDD in memory.

    Caches underlying RDD in memory.

    returns

      Cached GenomicDataset.

    Definition Classes
      GenomicDataset
36.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
37.  def copyVariantEndToAttribute(): GenotypeDataset

    Copy variant end to a variant attribute (VCF INFO field "END").

    Copy variant end to a variant attribute (VCF INFO field "END").

    returns

      GenotypeDataset with variant end copied to a variant attribute.

    Definition Classes
      GenotypeDataset
38.  lazy val dataset: Dataset[Genotype]

    These data as a Spark SQL Dataset.

    These data as a Spark SQL Dataset.

    Definition Classes
      ParquetUnboundGenotypeDataset → GenomicDataset
39.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
40.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
43.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
44.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
45.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
46.  def filterByAlternateReadDepth(minimumAlternateReadDepth: Int): GenotypeDataset

    Filter this GenotypeDataset by alternate read depth (VCF FORMAT field "AD").

    Filter this GenotypeDataset by alternate read depth (VCF FORMAT field "AD").

    minimumAlternateReadDepth

      Minimum alternate read depth to filter by, inclusive.

    returns

      GenotypeDataset filtered by alternate read depth.

    Definition Classes
      GenotypeDataset
47.  def filterByOverlappingRegion(query: ReferenceRegion): GenotypeDataset

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the query region.

    Definition Classes
      GenomicDataset
48.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): GenotypeDataset

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset
49.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): GenotypeDataset

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset
50.  def filterByQuality(minimumQuality: Double): GenotypeDataset

    Filter this GenotypeDataset by quality (VCF FORMAT field "GQ").

    Filter this GenotypeDataset by quality (VCF FORMAT field "GQ").

    minimumQuality

      Minimum quality to filter by, inclusive.

    returns

      GenotypeDataset filtered by quality.

    Definition Classes
      GenotypeDataset
51.  def filterByReadDepth(minimumReadDepth: Int): GenotypeDataset

    Filter this GenotypeDataset by read depth (VCF FORMAT field "DP").

    Filter this GenotypeDataset by read depth (VCF FORMAT field "DP").

    minimumReadDepth

      Minimum read depth to filter by, inclusive.

    returns

      GenotypeDataset filtered by read depth.

    Definition Classes
      GenotypeDataset
52.  def filterByReferenceReadDepth(minimumReferenceReadDepth: Int): GenotypeDataset

    Filter this GenotypeDataset by reference read depth (VCF FORMAT field "AD").

    Filter this GenotypeDataset by reference read depth (VCF FORMAT field "AD").

    minimumReferenceReadDepth

      Minimum reference read depth to filter by, inclusive.

    returns

      GenotypeDataset filtered by reference read depth.

    Definition Classes
      GenotypeDataset
53.  def filterNoCalls(): GenotypeDataset

    Filter genotypes containing NO_CALL alleles from this GenotypeDataset.

    Filter genotypes containing NO_CALL alleles from this GenotypeDataset.

    returns

      GenotypeDataset filtered to remove genotypes containing NO_CALL alleles.

    Definition Classes
      GenotypeDataset
54.  def filterToFiltersPassed(): GenotypeDataset

    Filter this GenotypeDataset to genotype filters passed (VCF FORMAT field "FT" value PASS).

    Filter this GenotypeDataset to genotype filters passed (VCF FORMAT field "FT" value PASS).

    returns

      GenotypeDataset filtered to genotype filters passed.

    Definition Classes
      GenotypeDataset
55.  def filterToReferenceName(referenceName: String): GenotypeDataset

    Filter this GenotypeDataset by reference name to those that match the specified reference name.

    Filter this GenotypeDataset by reference name to those that match the specified reference name.

    referenceName

      Reference name to filter by.

    returns

      GenotypeDataset filtered by the specified reference name.

    Definition Classes
      GenotypeDataset
56.  def filterToSample(sampleId: String): GenotypeDataset

    Filter this GenotypeDataset by sample to those that match the specified sample.

    Filter this GenotypeDataset by sample to those that match the specified sample.

    sampleId

      Sample to filter by. return GenotypeDataset filtered by sample.

    Definition Classes
      GenotypeDataset
57.  def filterToSamples(sampleIds: Seq[String]): GenotypeDataset

    (Scala-specific) Filter this GenotypeDataset by sample to those that match the specified samples.

    (Scala-specific) Filter this GenotypeDataset by sample to those that match the specified samples.

    sampleIds

      Sequence of samples to filter by. return GenotypeDataset filtered by one or more samples.

    Definition Classes
      GenotypeDataset
58.  def filterToSamples(sampleIds: List[String]): GenotypeDataset

    (Java-specific) Filter this GenotypeDataset by sample to those that match the specified samples.

    (Java-specific) Filter this GenotypeDataset by sample to those that match the specified samples.

    sampleIds

      List of samples to filter by. return GenotypeDataset filtered by one or more samples.

    Definition Classes
      GenotypeDataset
59.  def flattenRddByRegions(): RDD[(ReferenceRegion, Genotype)]
    Attributes
      protected
    Definition Classes
      GenomicDataset
60.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Genotype], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Option[Y])]): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
61.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Genotype], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Option[Y])]): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
62.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
63.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], Option[X]), (Option[Genotype], Option[Y])]

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
64.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
65.  def getReferenceRegions(elem: Genotype): Seq[ReferenceRegion]

    elem

      The genotype to get a reference region for.

    returns

      Returns the singular region this genotype covers.

    Attributes
      protected
    Definition Classes
      GenotypeDataset → GenomicDataset
66.  val headerLines: Seq[VCFHeaderLine]
    Definition Classes
      ParquetUnboundGenotypeDataset → VCFSupportingGenomicDataset
67.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
68.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
69.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
70.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
71.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
72.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
73.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
74.  def isSorted: Boolean
    Definition Classes
      GenomicDataset
75.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
76.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
77.  lazy val jrdd: JavaRDD[Genotype]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicDataset
78.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Option[Y])]): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
79.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Option[Y])]): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
80.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
81.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, Option[X]), (Genotype, Option[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
82.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
83.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], toxTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
84.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
85.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
86.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
87.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
88.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
89.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
90.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
91.  lazy val optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]
    Attributes
      protected
    Definition Classes
      ParquetUnboundGenotypeDataset → GenomicDataset
92.  def persist(sl: StorageLevel): GenotypeDataset

    Persists underlying RDD in memory or disk.

    Persists underlying RDD in memory or disk.

    sl

      new StorageLevel

    returns

      Persisted GenomicDataset.

    Definition Classes
      GenomicDataset
93.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Genotype, Genotype, GenotypeDataset, W]](cmd: List[String], files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[GenotypeDataset, RDD[X], Z]): Z

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
94.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Genotype, Genotype, GenotypeDataset, W]](cmd: Seq[Any], files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[GenotypeDataset, RDD[X], Z]): Z

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
95.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Genotype, Genotype, GenotypeDataset, W]](cmd: Seq[String], files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0, optTimeout: Option[Int] = None)(implicit tFormatterCompanion: InFormatterCompanion[Genotype, Genotype, GenotypeDataset, W], xFormatter: OutFormatter[X], convFn: (GenotypeDataset, RDD[X]) ⇒ Z, tManifest: ClassTag[Genotype], xManifest: ClassTag[X]): Z

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicDataset. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    optTimeout

      An optional parameter specifying how long to let a single partition run for, in seconds. If the partition times out, the partial results will be returned, and no exception will be logged. The partition will log that the command timed out.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
96.  val productFn: (Genotype) ⇒ Genotype
    Attributes
      protected
    Definition Classes
      GenotypeDataset → GenomicDataset
97.  lazy val rdd: RDD[Genotype]

    The RDD of genomic data that we are wrapping.

    The RDD of genomic data that we are wrapping.

    Definition Classes
      ParquetUnboundGenotypeDataset → GenomicDataset
98.  val references: SequenceDictionary

    The sequence dictionary describing the reference assembly this dataset is aligned to.

    The sequence dictionary describing the reference assembly this dataset is aligned to.

    Definition Classes
      ParquetUnboundGenotypeDataset → GenomicDataset
99.  def replaceHeaderLines(newHeaderLines: Seq[VCFHeaderLine]): GenotypeDataset

    Replaces the header lines attached to this genomic dataset.

    Replaces the header lines attached to this genomic dataset.

    newHeaderLines

      The new header lines to attach to this genomic dataset.

    returns

      A new genomic dataset with the header lines replaced.

    Definition Classes
      ParquetUnboundGenotypeDataset → VCFSupportingGenomicDataset
100.  def replaceRdd(newRdd: RDD[Genotype], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): GenotypeDataset

     newRdd

       An RDD to replace the underlying RDD with.

     returns

       Returns a new GenotypeDataset with the underlying RDD replaced.

     Attributes
       protected
     Definition Classes
       GenotypeDataset → GenomicDataset
101.  def replaceReferences(newReferences: SequenceDictionary): GenotypeDataset

     Replaces the reference sequence dictionary attached to a GenomicDataset.

     Replaces the reference sequence dictionary attached to a GenomicDataset.

     newReferences

       The new reference sequence dictionary to attach.

     returns

       Returns a new GenomicDataset with the reference sequences replaced.

     Definition Classes
       ParquetUnboundGenotypeDataset → GenomicDataset
102.  def replaceSamples(newSamples: Iterable[Sample]): GenotypeDataset

     Replaces the sample metadata attached to the genomic dataset.

     Replaces the sample metadata attached to the genomic dataset.

     newSamples

       The new sample metadata to attach.

     returns

       A GenomicDataset with new sample metadata.

     Definition Classes
       ParquetUnboundGenotypeDataset → MultisampleGenomicDataset
103.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoin

104.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoin

105.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
106.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
107.  def rightOuterBroadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], oyuTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Y], Genotype)]): GenericGenomicDataset[(Option[X], Genotype), (Option[Y], Genotype)]

     Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

     Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     broadcast

       The data on the left side of the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoin

108.  def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Genotype)]): GenericGenomicDataset[(Iterable[X], Genotype), (Seq[Y], Genotype)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

     broadcast

       The data on the left side of the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
     Note

       This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

     See also

       rightOuterBroadcastRegionJoinAndGroupByRight

109.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

110.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Genotype], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Genotype], Y)]): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

111.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

112.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Genotype], X), (Seq[Genotype], Y)]

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

     In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
     See also

       rightOuterBroadcastRegionJoinAgainstAndGroupByRight

113.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
114.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otxTag: ClassTag[(Option[Genotype], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Y)]): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
115.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
116.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], X), (Option[Genotype], Y)]

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

     Definition Classes
       GenomicDataset
117.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otixTag: ClassTag[(Option[Genotype], Iterable[X])], otsyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Seq[Y])]): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
118.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], otixTag: ClassTag[(Option[Genotype], Iterable[X])], ousyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Genotype], Seq[Y])]): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
119.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
120.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Genotype], Iterable[X]), (Option[Genotype], Seq[Y])]

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
121.  val samples: Seq[Sample]

     The samples who have data contained in this GenomicDataset.

     The samples who have data contained in this GenomicDataset.

     Definition Classes
       ParquetUnboundGenotypeDataset → MultisampleGenomicDataset
122.  def saveAsParquet(pathName: String): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     Definition Classes
       AvroGenomicDataset
123.  def saveAsParquet(pathName: String, blockSize: Integer, pageSize: Integer, compressionCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressionCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset
124.  def saveAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     blockSize

       Size per block.

     pageSize

       Size per page.

     compressionCodec

       Name of the compression codec to use.

     disableDictionaryEncoding

       Whether or not to disable bit-packing. Default is false.

     Definition Classes
       AvroGenomicDataset → GenomicDataset
125.  def saveAsParquet(args: SaveArgs): Unit

     Saves a genomic dataset to Parquet.

     Saves a genomic dataset to Parquet.

     args

       The output format configuration to use when saving the data.

     Definition Classes
       GenomicDataset
126.  def saveAsPartitionedParquet(pathName: String, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, partitionSize: Int = 1000000): Unit

     Saves this RDD to disk in range binned partitioned Parquet format.

     Saves this RDD to disk in range binned partitioned Parquet format.

     pathName

       The path to save the partitioned Parquet file to.

     compressionCodec

       Name of the compression codec to use.

     partitionSize

       Size of partitions used when writing Parquet, in base pairs (bp). Defaults to 1,000,000 bp.

     Definition Classes
       GenomicDataset
127.  def saveAvro[U <: SpecificRecordBase](pathName: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

     Saves Avro data to a Hadoop file system.

     Saves Avro data to a Hadoop file system.

     This method uses a SparkContext to identify our underlying file system, which we then save to.

     Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

     U

       The type of the specific record we are saving.

     pathName

       Path to save records to.

     sc

       SparkContext used for identifying underlying file system.

     schema

       Schema of records we are saving.

     avro

       Seq of records we are saving.

     Attributes
       protected
     Definition Classes
       GenomicDataset
128.  def saveMetadata(filePath: String): Unit

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

     Attributes
       protected
     Definition Classes
       GenotypeDataset → MultisampleAvroGenomicDataset → AvroGenomicDataset → GenomicDataset
129.  def savePartitionMap(pathName: String): Unit

     Save the partition map to disk.

     Save the partition map to disk. This is done by adding the partition map to the schema.

     pathName

       The filepath where we will save the partition map.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
130.  def saveRddAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, optSchema: Option[Schema] = None): Unit

     Saves a genomic dataset of Avro data to Parquet.

     Saves a genomic dataset of Avro data to Parquet.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write. Defaults to 128 * 1024 * 1024.

     pageSize

       The size in bytes of pages to write. Defaults to 1 * 1024 * 1024.

     compressionCodec

       The compression codec to apply to pages. Defaults to CompressionCodecName.GZIP.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used. Defaults to false.

     optSchema

       The optional schema to set. Defaults to None.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
131.  def saveRddAsParquet(args: SaveArgs): Unit
     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
132.  def saveReferences(pathName: String): Unit

     Save the reference sequence dictionary to disk.

     Save the reference sequence dictionary to disk.

     pathName

       The path to save the reference sequence dictionary to.

     Attributes
       protected
     Definition Classes
       GenomicDataset
133.  def saveSamples(pathName: String): Unit

     Save the samples to disk.

     Save the samples to disk.

     pathName

       The path to save samples to.

     Attributes
       protected
     Definition Classes
       MultisampleGenomicDataset
134.  def saveVcfHeaders(filePath: String): Unit

     Save the VCF headers to disk.

     Save the VCF headers to disk.

     filePath

       The filepath to the file where we will save the VCF headers.

     Definition Classes
       GenotypeDataset
135.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
136.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], txTag: ClassTag[(Genotype, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Y)]): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
137.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
138.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, X), (Genotype, Y)]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
139.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], tixTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
140.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Genotype], xTag: ClassTag[X], tixTag: ClassTag[(Genotype, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Genotype, Seq[Y])]): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
141.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
142.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Genotype, Iterable[X]), (Genotype, Seq[Y])]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
143.  def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Genotype]): GenotypeDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     partitions

       The number of partitions for the new genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

     See also

       sortLexicographically

144.  def sort(): GenotypeDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sortLexicographically

145.  def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Genotype]): GenotypeDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     partitions

       The number of partitions for the new genomic dataset.

     storePartitionMap

       A Boolean flag to determine whether to store the partition bounds from the resulting genomic dataset.

     storageLevel

       The level at which to persist the resulting genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

     See also

       sort

146.  def sortLexicographically(): GenotypeDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sort

147.  lazy val spark: SparkSession
     Definition Classes
       GenomicDataset
     Annotations
       @transient()
148.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
149.  def toDF(): DataFrame

     returns

       These data as a Spark SQL DataFrame.

     Definition Classes
       GenomicDataset
150.  def toString(): String
     Definition Classes
       MultisampleGenomicDataset → GenomicDataset → AnyRef → Any
151.  def toVariantContexts(): VariantContextDataset

     returns

       Returns this GenotypeDataset squared off as a VariantContextDataset.

     Definition Classes
       GenotypeDataset
152.  def toVariants(dedupe: Boolean): VariantDataset

     Extracts the variants contained in this genomic dataset of genotypes.

     Extracts the variants contained in this genomic dataset of genotypes.

     Does not perform any filtering looking at whether the variant was called or not.

     dedupe

       If true, drops variants described in more than one genotype record.

     returns

       Returns the variants described by this GenotypeDataset.

     Definition Classes
       GenotypeDataset
153.  def toVariants(): VariantDataset

     Extracts the variants contained in this genomic dataset of genotypes.

     Extracts the variants contained in this genomic dataset of genotypes.

     Does not perform any filtering looking at whether the variant was called or not. Does not dedupe the variants.

     returns

       Returns the variants described by this GenotypeDataset.

     Definition Classes
       GenotypeDataset
154.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
155.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
156.  def trace(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
157.  def transform(tFn: Function[JavaRDD[Genotype], JavaRDD[Genotype]]): GenotypeDataset

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
158.  def transform(tFn: (RDD[Genotype]) ⇒ RDD[Genotype]): GenotypeDataset

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
159.  def transformDataFrame(tFn: Function[DataFrame, DataFrame]): GenotypeDataset

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying DataFrame as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
160.  def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Genotype]): GenotypeDataset

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying data as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
161.  def transformDataset(tFn: Function[Dataset[Genotype], Dataset[Genotype]]): GenotypeDataset

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenotypeDataset → GenomicDataset
162.  def transformDataset(tFn: (Dataset[Genotype]) ⇒ Dataset[Genotype]): GenotypeDataset

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenotypeDataset → GenomicDataset
163.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[JavaRDD[Genotype], JavaRDD[X]], convFn: Function2[GenotypeDataset, RDD[X], Z]): Z

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     convFn

       The conversion function used to build the final RDD.

     returns

       A new genomid dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
164.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (RDD[Genotype]) ⇒ RDD[X])(implicit convFn: (GenotypeDataset, RDD[X]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
165.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Genotype, Genotype, GenotypeDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
166.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (DataFrame) ⇒ DataFrame)(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (GenotypeDataset, Dataset[Y]) ⇒ Z): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
167.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[Dataset[Genotype], Dataset[Y]], convFn: GenomicDatasetConversion[Genotype, Genotype, GenotypeDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
168.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (Dataset[Genotype]) ⇒ Dataset[Y])(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (GenotypeDataset, Dataset[Y]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
169.  val uTag: scala.reflect.api.JavaUniverse.TypeTag[Genotype]
     Definition Classes
       GenotypeDataset → GenomicDataset
170.  def union(datasets: GenotypeDataset*): GenotypeDataset

     (Scala-specific) Unions together multiple genomic datasets.

     (Scala-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       GenotypeDataset → GenomicDataset
171.  def union(datasets: List[GenotypeDataset]): GenotypeDataset

     (Java-specific) Unions together multiple genomic datasets.

     (Java-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       GenomicDataset
172.  def unpersist(): GenotypeDataset

     Unpersists underlying RDD from memory or disk.

     Unpersists underlying RDD from memory or disk.

     returns

       Uncached GenomicDataset.

     Definition Classes
       GenomicDataset
173.  val unproductFn: (Genotype) ⇒ Genotype
     Attributes
       protected
     Definition Classes
       GenotypeDataset → GenomicDataset
174.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
175.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()
176.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
177.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
178.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
179.  def warn(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
180.  def writePartitionedParquetFlag(pathName: String, partitionSize: Int): Unit

     Save partition size into the partitioned Parquet flag file.

     Save partition size into the partitioned Parquet flag file.

     pathName

       Path to save the file at.

     partitionSize

       Partition bin size, in base pairs, used in Hive-style partitioning.

     Definition Classes
       AvroGenomicDataset → GenomicDataset
181.  def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicDataset

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from GenotypeDataset

### Inherited from VCFSupportingGenomicDataset[Genotype, Genotype, GenotypeDataset]

### Inherited from MultisampleAvroGenomicDataset[Genotype, Genotype, GenotypeDataset]

### Inherited from MultisampleGenomicDataset[Genotype, Genotype, GenotypeDataset]

### Inherited from AvroGenomicDataset[Genotype, Genotype, GenotypeDataset]

### Inherited from GenomicDataset[Genotype, Genotype, GenotypeDataset]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped